config.lib_systemcass_openmp_mine = Library(
	parent = config.systemc,
	dir = "/users/outil/nbsdtsar/systemcass",
	libdir = "%(dir)s/lib-linux",
	cflags = config.systemc.cflags+['-fopenmp']+['-O3'],
	#cflags = config.systemc.cflags,
	libs = ['-ldl', '-lm', '-lpthread', '-L%(libdir)s', '-lsystemc', '-rdynamic', '-fopenmp'],
	#libs = ['-ldl', '-lm', '-lpthread', '-L%(libdir)s', '-lsystemc', '-rdynamic'],
)

config.systemcass_openmp_mine = BuildEnv(
	parent = config.systemc_64,
	libraries = [ config.lib_systemcass_openmp_mine ],
	#base = config.systemc_32,
	repos = "/dsk/l1/misc/alain/soclib-cc/head/systemcass-mine",
	cache_file = "/dsk/l1/misc/alain/soclib-cc/head/systemcass-mine/soclib_cc.cache",
	toolchain = config.toolchain_64,
	#toolchain = config.dist_toolchain,
)

#config.default = config.systemcass
config.default = config.systemcass_openmp_mine

config.default.toolchain.set("cflags", config.default.toolchain.cflags + ['-DI_WANT_ILLEGAL_VCI'])

